EVP_rc5_32_12_16_cbc(3) | OpenSSL | EVP_rc5_32_12_16_cbc(3)

# NAME

EVP_rc5_32_12_16_cbc, EVP_rc5_32_12_16_cfb, EVP_rc5_32_12_16_cfb64, EVP_rc5_32_12_16_ecb, EVP_rc5_32_12_16_ofb - EVP RC5 cipher

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/evp.h>

     const EVP_CIPHER *EVP_rc5_32_12_16_cbc(void)
     const EVP_CIPHER *EVP_rc5_32_12_16_cfb(void)
     const EVP_CIPHER *EVP_rc5_32_12_16_cfb64(void)
     const EVP_CIPHER *EVP_rc5_32_12_16_ecb(void)
     const EVP_CIPHER *EVP_rc5_32_12_16_ofb(void)

# DESCRIPTION

The RC5 encryption algorithm for EVP.

EVP_rc5_32_12_16_cbc(), EVP_rc5_32_12_16_cfb(), EVP_rc5_32_12_16_cfb64(), EVP_rc5_32_12_16_ecb(), EVP_rc5_32_12_16_ofb()
  RC5 encryption algorithm in CBC, CFB, ECB and OFB modes respectively. This is a variable key length cipher with an additional "number of rounds" parameter. By default the key length is set to 128 bits and 12 rounds.

# RETURN VALUES

These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

# BUGS

Currently the number of rounds in RC5 can only be set to 8, 12 or 16. This is a limitation of the current RC5 code rather than the EVP interface.

# SEE ALSO

evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

# COPYRIGHT

Copyright 2017-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.

2018-12-08 | 1.1.1c